#version 150

#moj_import <fog.glsl>

uniform sampler2D Sampler0;

uniform vec4 ColorModulator;
uniform float FogStart;
uniform float FogEnd;
uniform vec4 FogColor;

in float vertexDistance;
in vec4 vertexColor;
in vec2 texCoord0;

out vec4 fragColor;

void main() {
	if (length(texCoord0 - 0.5) > 0.5) { discard; }
	fragColor = vec4(1.0 - vertexColor.rgb, vertexColor.a);
}
